# Webhooks

Hydrozen.io is developer friendly and you can pretty much connect with any tools using our outgoing webhooks.

### Headers

#### User Agent

```
User-Agent: Hydrozen.io/1.0
```

#### Payload type

```
Content-Type: application/json
```

### Payload format

#### Website - up / down notifications

```json
{
  "monitor_id": "14",
  "name": "Test",
  "type": "website",
  "target": "https://example.com",
  "port": null,
  "is_ok": 0,
  "url": "https://app.hydrozen.io/monitor/14"
}
// is_ok will be 0 when the website is down and it will become 1 when it is back up.
// port will be available only for port monitoring
```

#### Ping - up / down notifications

```json
{
  "monitor_id": "14",
  "name": "Test",
  "type": "ping",
  "target": "https://example.com",
  "port": null,
  "is_ok": 0,
  "url": "https://app.hydrozen.io/monitor/14"
}
// is_ok will be 0 when the website is down and it will become 1 when it is back up.
// For ping monitoring, the target can be a domain or IP
// port will be available only for port monitoring
```

#### Host / Port - up / down notifications

```json
{
  "monitor_id": "12",
  "name": "Port",
  "type": "port",
  "target": "199.59.2.8",
  "port": ":1313",
  "is_ok": 0,
  "url": "https://app.hydrozen.io/monitor/14"
}
// is_ok will be 0 when the port is down and it will become 1 when it is back up.
// For Host / port monitoring, the target can be a domain or IP
```

#### Heartbeat (Cron) - up / down notifications

```json
{
  "heartbeat_id": "1",
  "name": "Payments Cron",
  "type": "heartbeat",
  "is_ok": 0,
  "url": "https://app.hydrozen.io/heartbeat/1"
}
// is_ok will be 0 when the heartbeat is down and it will become 1 when it is back up.
```

#### Domain name expiry reminder notification

```json
{
  "domain_name_id": "1",
  "name": "Textpro main site",
  "target": "textpro.xyz",
  "type": "domain-expiry",
  "whois_end_datetime": "2023-01-01 11:28:45",
  "timezone": "UTC",
  "url": "https://app.hydrozen.io/domain-name/1"
}
```

#### Certificate (SSL) expiry reminder notification

```json
{
  "domain_name_id": "1",
  "name": "Textpro main site",
  "target": "textpro.xyz",
  "type": "ssl-expiry",
  "ssl_end_datetime": "2023-03-23 11:28:45",
  "timezone": "UTC",
  "url": "https://app.hydrozen.io/domain-name/1"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hydrozen.io/overview/integrations/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
